/*
 * COPYRIGHT LICENSE: This information contains sample code provided in source code form.
 * You may copy, modify, and distribute these sample programs in any form without payment
 * to IBM for the purposes of developing, using, marketing or distributing application
 * programs conforming to the application programming interface for the operating platform
 * for which the sample code is written.
 * 
 * Notwithstanding anything to the contrary, IBM PROVIDES THE SAMPLE SOURCE CODE ON 
 * AN "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING,
 * BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY,
 * SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND ANY WARRANTY OR
 * CONDITION OF NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF
 * THE SAMPLE SOURCE CODE. IBM HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS OR MODIFICATIONS TO THE SAMPLE SOURCE CODE.
 * 
 * (C) Copyright IBM Corp. 2001, 2013.
 * All Rights Reserved. Licensed Materials - Property of IBM.
 */
package com.ibm.ws.samples.phonebook;

import java.util.ArrayList;
import java.util.List;

import net.sourceforge.stripes.action.ActionBean;
import net.sourceforge.stripes.action.ActionBeanContext;
import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.UrlBinding;

@UrlBinding("/PhoneBook.htm")
public class PhoneBookActionBean implements ActionBean {

    private ActionBeanContext context;

    private List<PhoneBookEntry> phoneBook = initPhoneBook();

    @DefaultHandler
    public Resolution view() {
        return new ForwardResolution("/WEB-INF/jsp/phonebook.jsp");
    }

    public List<PhoneBookEntry> getPhoneBook() {
        return phoneBook;
    }

	// A real app would use a more proper database
   private static List<PhoneBookEntry> initPhoneBook() {
		List<PhoneBookEntry> phoneBookDataBase = new ArrayList<PhoneBookEntry>();
        phoneBookDataBase.add(new PhoneBookEntry("Tom", "133-4567-2311"));
        phoneBookDataBase.add(new PhoneBookEntry("Jerry", "133-4567-2312"));
        return phoneBookDataBase;
	}

   public ActionBeanContext getContext() {
       return context;
   }
   
   public void setContext(ActionBeanContext context) {
       this.context = context;
   }

}
